{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}


    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        storeConfig:{
            ProductTree:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldDisplay:'name',options:{where:'O',finish:null}}
            ,ProductTreeG:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldDisplay:'name',options:{where:'O',finish:null}}
            //,Client:{routeName:'Rework-getComboValues-client',table:'clients'}
            //,ClientG:{routeName:'Rework-getComboValues-client',table:'clients'}
            //,ReworkType:{routeName:'ReworkType-getComboValues',table:'rework_types'}
            //,ReworkTypeG:{routeName:'ReworkType-getComboValues',table:'rework_types'}
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            const gridConfig = {
                cm: [
                    {header: "{{ 'Rework.client'|trans }}", dataIndex: 'client', width: 90,filter:'single', type:'combo',store:t.extras.clients,alias:'r',operator:'='},
                    {header: "{{ 'Rework.reworktype'|trans }}", dataIndex: 'reworktype', width: 210,filter:'single', type:'combo',store:t.extras.rework_types,alias:'r',operator:'='},
                    {header: "{{ 'Rework.opname'|trans }}", dataIndex: 'opname', width: 200,filter:'single', type:'combo',store:t.stores.ProductTreeG,alias:'r',operator:'='},
                    {header: "{{ 'Rework.tpp'|trans }}", dataIndex: 'tpp', align:'right', width: 90},
                    {header: "{{ 'Rework.listorder'|trans }}", dataIndex: 'listorder', width: 50,alias:'r'},
                    {header: "{{ 'Rework.islisted'|trans }}", dataIndex: 'islisted', width: 110,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'r'},
                    {header: "{{ 'Rework.ismandatory'|trans }}", dataIndex: 'ismandatory', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'r'}
                ]
            };
            t._setGridConfig(gridConfig);
            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    }),
                    new mj.form.numberField({
						title : "{{ 'Rework.listorder'|trans }}",
						dataIndex : 'listorder',
						labelWidth : '150px',
						width : 50
					}),
                    new mj.form.combo({
                        title: "{{ 'Rework.client'|trans }}",
                        placeHolder: "{{ 'Rework.client_placeholder'|trans }}",
                        dataIndex: 'client',
                        labelWidth : '150px',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        notEmpty: true,
                        grid: 's12 m6',
                        width:200,
                        store: t.extras.clients
                    }),
                    new mj.form.combo({
                        title: "{{ 'Rework.reworktype'|trans }}",
                        placeHolder: "{{ 'Rework.reworktype_placeholder'|trans }}",
                        dataIndex: 'reworktype',
                        labelWidth : '150px',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        notEmpty: true,
                        grid: 's12 m6',
                        width:200,
                        store: t.extras.rework_types
                    }),
                    new mj.form.combo({
                        title: "{{ 'Rework.opname'|trans }}",
                        placeHolder: "{{ 'Rework.opname_placeholder'|trans }}",
                        dataIndex: 'opname',
                        labelWidth : '150px',
                        mode: 'remote',
                        clearOnTriggerClick: true,
                        notEmpty: true,
                        grid: 's12 m6',
                        width:200,
                        store: t.stores.ProductTree
                    }),                    
                    new mj.form.textField({
						title: "{{ 'Rework.description'|trans }}",
						dataIndex: 'opdescription',
						maxLength: 255,
						labelWidth : '150px',
						width:400,
						grid: 's12 m6'
					}),
                    new mj.form.numberField({
                        title : "{{ 'Rework.tpp'|trans }}",
                        dataIndex : 'tpp',
                        labelWidth : '150px',
                        money : true,
                        suffix : '',
                        decimalPrecision : 4,
                        decimalPrecisionReal : 4,
                        defaultZero : false,
                        width : 50
                    }),
					new mj.form.checkBox({
						title: "{{ 'Rework.islisted'|trans }}",
						dataIndex: 'islisted',
						itemStyle: 'padding:0 35px 0 0;float:left;',
						labelWidth : '150px',
						grid: 'none'
					}),
                    new mj.form.checkBox({
						title: "{{ 'Rework.ismandatory'|trans }}",
						dataIndex: 'ismandatory',
						itemStyle: 'padding:0 35px 0 0;float:left;',
						labelWidth : '150px',
						grid: 'none'
					}),
					new mj.form.dateField({
						title: "{{ 'Rework.start'|trans }}",
						dataIndex: 'start',
						labelWidth : '150px',
						notEmpty: true,
						grid: 's4 m2'
					}),
					new mj.form.dateField({
						title: "{{ 'Rework.finish'|trans }}",
						dataIndex: 'finish',
						labelWidth : '150px',
						grid: 's4 m2'
					})
                ]
            };
            t._setFormConfig(formConfig);
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
